import 'package:flutter/material.dart';

class EmptyWidget extends StatelessWidget {
  final String imageAsset;
  final String content;

  const EmptyWidget({
    super.key,
    this.imageAsset = 'assets/images/ic_pipi_06.png',
    this.content = 'Không có dữ liệu hiển thị',
  });

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Image.asset(
            imageAsset,
            width: 120,
            height: 120,
            fit: BoxFit.contain,
          ),
          const SizedBox(height: 16),
          Text(
            content,
            textAlign: TextAlign.center,
            style: const TextStyle(
              fontSize: 14,
              color: Colors.grey,
            ),
          ),
        ],
      ),
    );
  }
}
